## usbredir 0.3.1

=== Makefile ===
SUBDIRS = usbredirparser usbredirhost usbredirserver usbredirtestclient

all install clean::
	for i in $(SUBDIRS); do \
		$(MAKE) -C $$i $@ || exit 1; \
	done

tag:
	@git tag -a -m "Tag as usbredir-$(USBREDIR_VERSION)" usbredir-$(USBREDIR_VERSION)
	@echo "Tagged as usbredir-$(USBREDIR_VERSION)"

archive-no-tag:
	@git archive --format=tar --prefix=usbredir-$(USBREDIR_VERSION)/ usbredir-$(USBREDIR_VERSION) > usbredir-$(USBREDIR_VERSION).tar
	@bzip2 -f usbredir-$(USBREDIR_VERSION).tar

archive: clean tag archive-no-tag

include Make.rules

=== usbredirhost/Makefile ===
override CPPFLAGS    += $(shell pkg-config --cflags libusb-1.0)

LIBS_libusbredirhost  = $(shell pkg-config --libs libusb-1.0) -lrt -lpthread

USBREDIRHOST_OBJS     = usbredirhost.o
USBREDIRHOST_DEPS     = $(USBREDIRHOST_OBJS)
TARGETS               = $(USBREDIRHOST_LIB) libusbredirhost.pc
INCLUDES              = usbredirhost.h

ifeq ($(LINKTYPE),static)
USBREDIRHOST_LIB      = libusbredirhost.a
else
USBREDIRHOST_LIB      = libusbredirhost.so
USBREDIRHOST_DEPS    += ../usbredirparser/libusbredirparser.so
override CPPFLAGS    += -fPIC
endif

LIB_RELEASE = 1

all: $(TARGETS)

-include $(USBREDIRHOST_OBJS:.o=.d)

$(USBREDIRHOST_LIB): $(USBREDIRHOST_DEPS)

libusbredirhost.pc:
	@echo prefix=$(PREFIX) > libusbredirhost.pc
	@echo libdir=$(LIBDIR) >> libusbredirhost.pc
	@echo >> libusbredirhost.pc
	@echo 'Name: libusbredirhost' >> libusbredirhost.pc
	@echo 'Description: usbredirhost library' >> libusbredirhost.pc
	@echo 'Version: '$(USBREDIR_VERSION) >> libusbredirhost.pc
	@echo 'Requires.private: libusbredirparser' >> libusbredirhost.pc
	@echo 'Libs: -L$${libdir} -lusbredirhost' >> libusbredirhost.pc
	@echo 'Libs.private: -lusb-1.0' >> libusbredirhost.pc
	@echo 'Cflags: -I$${prefix}/include' >> libusbredirhost.pc

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/include
	install -p -m 644 $(INCLUDES) $(DESTDIR)$(PREFIX)/include
	mkdir -p $(DESTDIR)$(LIBDIR)
ifeq ($(LINKTYPE),static)
	install -m 644 $(USBREDIRHOST_LIB) $(DESTDIR)$(LIBDIR)
else
	install -m 755 $(USBREDIRHOST_LIB).$(LIB_RELEASE) $(DESTDIR)$(LIBDIR)
	cd $(DESTDIR)$(LIBDIR) && \
	  ln -f -s $(USBREDIRHOST_LIB).$(LIB_RELEASE) $(USBREDIRHOST_LIB)
endif
	mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
	install -m 644 libusbredirhost.pc $(DESTDIR)$(LIBDIR)/pkgconfig

include ../Make.rules

=== usbredirparser/Makefile ===
USBREDIRPARSER_OBJS = usbredirparser.o
TARGETS             = $(USBREDIRPARSER_LIB) libusbredirparser.pc
INCLUDES            = usbredirproto.h usbredirparser.h

ifeq ($(LINKTYPE),static)
USBREDIRPARSER_LIB  = libusbredirparser.a
else
USBREDIRPARSER_LIB  = libusbredirparser.so
override CPPFLAGS  += -fPIC
endif

LIB_RELEASE = 0

all: $(TARGETS)

-include $(USBREDIRPARSER_OBJS:.o=.d)

$(USBREDIRPARSER_LIB): $(USBREDIRPARSER_OBJS)

libusbredirparser.pc:
	@echo prefix=$(PREFIX) > libusbredirparser.pc
	@echo libdir=$(LIBDIR) >> libusbredirparser.pc
	@echo >> libusbredirparser.pc
	@echo 'Name: libusbredirparser' >> libusbredirparser.pc
	@echo 'Description: usbredirparser library' >> libusbredirparser.pc
	@echo 'Version: '$(USBREDIR_VERSION) >> libusbredirparser.pc
	@echo 'Libs: -L$${libdir} -lusbredirparser' >> libusbredirparser.pc
	@echo 'Cflags: -I$${prefix}/include' >> libusbredirparser.pc

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/include
	install -p -m 644 $(INCLUDES) $(DESTDIR)$(PREFIX)/include
	mkdir -p $(DESTDIR)$(LIBDIR)
ifeq ($(LINKTYPE),static)
	install -m 644 $(USBREDIRPARSER_LIB) $(DESTDIR)$(LIBDIR)
else
	install -m 755 $(USBREDIRPARSER_LIB).$(LIB_RELEASE) $(DESTDIR)$(LIBDIR)
	cd $(DESTDIR)$(LIBDIR) && \
	  ln -f -s $(USBREDIRPARSER_LIB).$(LIB_RELEASE) $(USBREDIRPARSER_LIB)
endif
	mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
	install -m 644 libusbredirparser.pc $(DESTDIR)$(LIBDIR)/pkgconfig

include ../Make.rules

=== usbredirserver/Makefile ===
override CPPFLAGS    += $(shell pkg-config --cflags libusb-1.0)
LIBS                  = $(shell pkg-config --libs libusb-1.0)

USBREDIRSERVER_OBJS   = usbredirserver.o
TARGETS               = usbredirserver

all: $(TARGETS)

-include *.d

usbredirserver: $(USBREDIRSERVER_OBJS)
# rpath-link so that usbredirparser (needed by usbredirhost) can be found
# when building without having a previous version installed
	$(CC) $(LDFLAGS) -Wl,-rpath-link,../usbredirparser -o $@ $^ $(LIBS) -lusbredirhost

install: all
	mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 usbredirserver $(DESTDIR)$(SBINDIR)

include ../Make.rules

=== usbredirtestclient/Makefile ===
USBREDIRTESTCLIENT_OBJS = usbredirtestclient.o
TARGETS                 = usbredirtestclient

all: $(TARGETS)

-include *.d

usbredirtestclient: $(USBREDIRTESTCLIENT_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS) -lusbredirparser

install:

include ../Make.rules

=== debian/changelog ===
usbredir (0.3.1-2ubuntu7uk3) unstable; urgency=low

  * change LDFLAGS too

 -- Debian Build User <build@build-deb>  Tue, 04 Sep 2012 10:02:52 +0000

usbredir (0.3.1-2ubuntu7uk2) unstable; urgency=low

  * change CPPFLAGS

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 04 Sep 2012 09:26:29 +0000

usbredir (0.3.1-2ubuntu7uk1) unstable; urgency=low

  * uniklu rebuild

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 04 Sep 2012 07:34:46 +0000

usbredir (0.3.1-2ubuntu7) precise; urgency=high

  * Initial release. 
  - Changed  CFLAGS += -fPIC -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
  - Make.rules updated with -fPIC  and -lrt -pthread

 -- Boris Derzhavets <bderzhavets@yahoo.com>  Wed, 28 Dec 2011 16:47:54 +0400

=== debian/control ===
Source: usbredir
Section: libs
Priority: extra
Maintainer: Boris Derzhavets <bderzhavets@yahoo.com>
Build-Depends: debhelper (>= 8.0.0), 
               autotools-dev,
               pkg-config,
               quilt (>= 0.40),
               libusb-1.0-0,
               libusb-1.0-0-dev
Standards-Version: 3.9.2
Homepage: http://fedora.org
Vcs-Git: git://git.debian.org/collab-maint/usbredir.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/usbredir.git;a=summary

Package: libusbredir
Architecture: i386 amd64
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: USBREDIR +  Library

Package: libusbredir-dev
Section: libdevel
Architecture: i386 amd64
Depends: libusbredir (= ${binary:Version}), ${misc:Depends}
Description: USBREDIR + Library (development files)

Package: usbredir-server
Section: libdevel
Architecture: i386 amd64
Depends: libusbredir (= ${binary:Version}), ${misc:Depends}
Description: USBREDIR + Server

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# include /usr/share/quilt/quilt.make



LDFLAGS = -shared -fPIC,-Wl,--as-needed
LIBS += -lrt -pthread

DEB_HOST_ARCH_CPU   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

DEB_BUILD_MAINT_OPTIONS=hardening=-fortify

# Handle DEB_BUILD_OPTIONS=parallel=N
, := ,
ifneq (,$(filter parallel=%,$(subst $(,), ,$(DEB_BUILD_OPTIONS))))
  NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(subst $(,), ,$(DEB_BUILD_OPTIONS))))
  MAKEFLAGS += -j$(NUMJOBS)
endif

CFLAGS += -fPIC -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2) 
CPPFLAGS =

ifeq ($(DEB_HOST_ARCH_CPU),arm)
CFLAGS += -fno-var-tracking
endif


%:
	dh $@

## usbredir 0.4.3

=== debian/changelog ===
usbredir (0.4.3-2) unstable; urgency=low

  * debian/control:
    - Update my E-mail address
    - Fix dependency problem

 -- Liang Guo <guoliang@debian.org>  Fri, 25 May 2012 21:54:08 +0800

usbredir (0.4.3-1) unstable; urgency=low

  * Initial release (Closes: #665379)

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 05 Apr 2012 10:23:27 +0800

=== debian/control ===
Source: usbredir
Section: libs
Priority: optional
Maintainer: Liang Guo <guoliang@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libusb-1.0-0-dev, pkg-config
Standards-Version: 3.9.3
Homepage: http://www.spice-space.org/
Vcs-Git: git://git.debian.org/collab-maint/usbredir.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/usbredir.git;a=summary

Package: libusbredirhost1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Implementing the usb-host (*) side of a usbredir connection (runtime)
 Usbredirhost is a library implementing the usb-host (*) side of a 
 usbredir connection. All that an application wishing to implement 
 an usb-host needs to do is:
  * Provide a libusb device handle for the device
  * Provide write and read callbacks for the actual transport of usbredir data
  * Monitor for usbredir and libusb read/write events and call their handlers
 .
 This package contains the runtime library. 

Package: libusbredirhost-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libusbredirhost1 (= ${binary:Version}), ${misc:Depends}, libusbredirparser-dev 
Description: implementing the usb-host (*) side of a usbredir connection (development)
 Usbredirhost is a library implementing the usb-host (*) side of a 
 usbredir connection. All that an application wishing to implement 
 an usb-host needs to do is:
  * Provide a libusb device handle for the device
  * Provide write and read callbacks for the actual transport of usbredir data
  * Monitor for usbredir and libusb read/write events and call their handlers
 .
 This package contains the development header files.

Package: libusbredirparser0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Parser for the usbredir protocol (runtime)
 Usbredirparse is a library containing the parser for the usbredir protocol. 
 This package contains the runtime library. 

Package: libusbredirparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libusbredirparser0 (= ${binary:Version}), ${misc:Depends}
Description: Parser for the usbredir protocol (development)
 Usbredirparse is a library containing the parser for the usbredir protocol. 
 This package contains the development header files.

Package: usbredirserver
Section: otherosfs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple USB host TCP server
 usbredirserver is a small standalone server for exporting an USB device for
 use from another (virtual) machine through the usbredir protocol.

## usbredir 0.6

=== debian/changelog ===
usbredir (0.6-2ubuntu1.1) trusty-proposed; urgency=medium

  * Fix whitespace damage in quilt patch (LP: #1451540)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 07 May 2015 19:15:12 -0500

usbredir (0.6-2ubuntu1) trusty; urgency=low

  * Use dh-autoreconf, resolving FTBFS on ppc64el.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 02 Jan 2014 20:43:38 -0500

usbredir (0.6-2) unstable; urgency=low

  * Upload to unstable

 -- Liang Guo <guoliang@debian.org>  Thu, 09 May 2013 22:18:36 +0800

usbredir (0.6-1) experimental; urgency=low

  * New upstream release (Closes: #691405)
  * Rename libusbredirparser0 to libusbredirparser1
  * Remove ChangeLog from libusbredirhost1.docs, included in all package
  * Rename libusbredirparser.pc to libusbredirparser-0.5.pc in
    libusbredirparser-dev.install

 -- Liang Guo <guoliang@debian.org>  Sun, 30 Dec 2012 15:03:35 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: usbredir
 Section: libs
 Priority: optional
-Maintainer: Liang Guo <guoliang@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, libusb-1.0-0-dev, pkg-config
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, libusb-1.0-0-dev, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://www.spice-space.org/
 Vcs-Git: git://git.debian.org/collab-maint/usbredir.git
@@ -39,7 +40,7 @@
  .
  This package contains the development header files.
 
-Package: libusbredirparser0
+Package: libusbredirparser1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,7 +54,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libusbredirparser0 (= ${binary:Version}), ${misc:Depends}
+Depends: libusbredirparser1 (= ${binary:Version}), ${misc:Depends}
 Description: Parser for the usbredir protocol (development)
  Usbredirparse is a library containing the parser for the usbredir protocol. 
  This package contains the development header files.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ --with autoreconf

## usbredir 0.7

=== debian/changelog ===
usbredir (0.7-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.5 (no changes)
  * Remove update-usbredirserver-whatis-entry.diff, Applied Upstream
  * Remove Pre-Depends on ${misc:Pre-Depends}
  * Build usbredir on linux-any
  * Use canonical vcs field

 -- Liang Guo <guoliang@debian.org>  Tue, 24 Jun 2014 18:17:53 +0800

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: usbredir
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libusb-1.0-0-dev, pkg-config
-Standards-Version: 3.9.3
+Maintainer: Liang Guo <guoliang@debian.org>
+Build-Depends: debhelper (>= 9), autotools-dev, libusb-1.0-0-dev, pkg-config
+Standards-Version: 3.9.5
 Homepage: http://www.spice-space.org/
-Vcs-Git: git://git.debian.org/collab-maint/usbredir.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/usbredir.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/usbredir.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/usbredir.git;a=summary
 
 Package: libusbredirhost1
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Implementing the usb-host (*) side of a usbredir connection (runtime)
  Usbredirhost is a library implementing the usb-host (*) side of a 
@@ -26,9 +24,8 @@
 
 Package: libusbredirhost-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libusbredirhost1 (= ${binary:Version}), ${misc:Depends}, libusbredirparser-dev 
 Description: implementing the usb-host (*) side of a usbredir connection (development)
  Usbredirhost is a library implementing the usb-host (*) side of a 
@@ -41,9 +38,8 @@
  This package contains the development header files.
 
 Package: libusbredirparser1
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Parser for the usbredir protocol (runtime)
  Usbredirparse is a library containing the parser for the usbredir protocol. 
@@ -51,7 +47,7 @@
 
 Package: libusbredirparser-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libusbredirparser1 (= ${binary:Version}), ${misc:Depends}
@@ -61,7 +57,7 @@
 
 Package: usbredirserver
 Section: otherosfs
-Architecture: any
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple USB host TCP server

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 
 
 %:
-	dh $@ --with autoreconf
+	dh $@

## usbredir 0.7.1

=== debian/changelog ===
usbredir (0.7.1-1) unstable; urgency=medium

  * New upstream release (Closes: #813026)
  * Call dh with autoreconf in debian/rules (Closes: #734013)
  * Update debian/*.symbols
  * Bump Standards-Version to 3.9.7 (no changes)
  * Switch to secure uri in debian/control
  * Add DEB_BUILD_MAINT_OPTIONS in debian/rules

 -- Liang Guo <guoliang@debian.org>  Mon, 22 Feb 2016 22:31:17 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Liang Guo <guoliang@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, libusb-1.0-0-dev, pkg-config
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), 
+ dh-autoreconf,
+ autotools-dev, 
+ libusb-1.0-0-dev,
+ pkg-config
+Standards-Version: 3.9.7
 Homepage: http://www.spice-space.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/usbredir.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/usbredir.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/usbredir.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/usbredir.git;a=summary
 
 Package: libusbredirhost1
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@  --with autoreconf

=== debian/watch ===
version=3
http://spice-space.org/download/usbredir/usbredir-(.*)\.tar\.bz2

## usbredir 0.8.0

=== debian/changelog ===
usbredir (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.0
  * debian/control: Update the Vcs-* fields
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * debian/control: Build on all architectures (Closes: #851683)
  * debian/watch: Use https to please lintian
  * debian/*.symbols: Add Build-Depends-Package field
  * debian/control: Make libusbredirhost-dev dependency against
    libusbredirparser-dev more strict

 -- Laurent Bigonville <bigon@debian.org>  Sat, 20 Oct 2018 11:20:06 +0200

=== debian/control ===
Source: usbredir
Section: libs
Priority: optional
Maintainer: Liang Guo <guoliang@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               libusb-1.0-0-dev,
               pkg-config
Standards-Version: 4.2.1
Homepage: http://www.spice-space.org/
Vcs-Git: https://salsa.debian.org/debian/usbredir.git
Vcs-Browser: https://salsa.debian.org/debian/usbredir

Package: libusbredirhost1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Implementing the usb-host (*) side of a usbredir connection (runtime)
 Usbredirhost is a library implementing the usb-host (*) side of a
 usbredir connection. All that an application wishing to implement
 an usb-host needs to do is:
  * Provide a libusb device handle for the device
  * Provide write and read callbacks for the actual transport of usbredir data
  * Monitor for usbredir and libusb read/write events and call their handlers
 .
 This package contains the runtime library.

Package: libusbredirhost-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libusbredirhost1 (= ${binary:Version}),
         libusbredirparser-dev (= ${binary:Version}),
         ${misc:Depends}
Description: implementing the usb-host (*) side of a usbredir connection (development)
 Usbredirhost is a library implementing the usb-host (*) side of a
 usbredir connection. All that an application wishing to implement
 an usb-host needs to do is:
  * Provide a libusb device handle for the device
  * Provide write and read callbacks for the actual transport of usbredir data
  * Monitor for usbredir and libusb read/write events and call their handlers
 .
 This package contains the development header files.

Package: libusbredirparser1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Parser for the usbredir protocol (runtime)
 Usbredirparse is a library containing the parser for the usbredir protocol.
 This package contains the runtime library.

Package: libusbredirparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libusbredirparser1 (= ${binary:Version}), ${misc:Depends}
Description: Parser for the usbredir protocol (development)
 Usbredirparse is a library containing the parser for the usbredir protocol.
 This package contains the development header files.

Package: usbredirserver
Section: otherosfs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple USB host TCP server
 usbredirserver is a small standalone server for exporting an USB device for
 use from another (virtual) machine through the usbredir protocol.

=== debian/watch ===
version=3
https://spice-space.org/download/usbredir/usbredir-(.*)\.tar\.bz2

## usbredir 0.11.0

=== meson_options.txt ===
option('git_werror',
    type: 'feature',
    value: 'auto',
    description: 'use -Werror if building from GIT')

option('fuzzing',
    type : 'feature',
    value : 'disabled',
    description : 'Enable libFuzzer integration')

option('fuzzing-engine',
    type : 'string',
    value : 'standalone',
    description : 'Location of prebuilt fuzzing engine library or "standalone" for built-in driver')

option('fuzzing-install-dir',
    type : 'string',
    description : 'Installation directory for fuzzing binaries')

option('tools',
    type : 'feature',
    value : 'enabled',
    description : 'Build usbredir\'s tools such as usbredirect')

=== debian/changelog ===
usbredir (0.11.0-2build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:59:39 +0100

usbredir (0.11.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Lin Qigang <lqi254@protonmail.com>  Tue, 31 Aug 2021 21:44:05 +0700

usbredir (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * Adopt package (Closes: #911431)
  * Updated docs from text to markdown
  * Added usbredirect package, which deprecates usbredirserver
  * debian/control:
      - Added Rules-Requires-Root flag
      - Increased standards version
      - Removed debhelper-compat file
      - Removed explicit dh-autoconf dependency
      - Removed cmake build dependency
  * debian/compat: Increased debhelper compat from 9 to 13
  * debian/copyright:
      - Added new maintainer
      - Changed format link to https
      - Updated source link to new freedesktop page
  * debian/libusbredirhost1.symbols: Updated symbols to new Meson mapping
  * debian/libusbredirparser1.symbols: Updated symbols to new Meson mapping
  * debian/upstream/metadata: Added upstream metadata
  * debian/upstream/signing-key.asc: Added upstream signing key
  * debian/usbredirect.install: Added usbredirect install file
  * debian/watch: Use tagged git releases and check gittag in pgp mode

 -- Lin Qigang <lqi254@protonmail.com>  Tue, 24 Aug 2021 20:04:51 +0700

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: usbredir
 Section: libs
 Priority: optional
-Maintainer: Liang Guo <guoliang@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
-               dh-autoreconf,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lin Qigang <lqi254@protonmail.com>
+Build-Depends: debhelper-compat (= 13),
                libusb-1.0-0-dev,
-               pkg-config
-Standards-Version: 4.2.1
+               pkg-config,
+               meson,
+               libglib2.0-dev
+Standards-Version: 4.5.1
 Homepage: http://www.spice-space.org/
 Vcs-Git: https://salsa.debian.org/debian/usbredir.git
 Vcs-Browser: https://salsa.debian.org/debian/usbredir
+Rules-Requires-Root: no
 
 Package: libusbredirhost1
 Architecture: any
@@ -69,3 +71,15 @@
 Description: Simple USB host TCP server
  usbredirserver is a small standalone server for exporting an USB device for
  use from another (virtual) machine through the usbredir protocol.
+ .
+ Deprecated and replaced by usbredirect.
+
+Package: usbredirect
+Section: otherosfs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Simple USB host TCP client
+ usbredirect is an usbredir client for exporting an USB device either as TCP
+ client or server, for use from another (virtual) machine through the usbredir
+ protocol.

## usbredir 0.13.0

=== debian/changelog ===
usbredir (0.13.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Lance Lin ]
  * d/control: bump standards version to 4.6.2
  * d/copyright: update years to 2023
  * d/rules: remove trailing whitespace

 -- Lance Lin <lq27267@gmail.com>  Sat, 04 Feb 2023 19:36:30 +0700

usbredir (0.13.0-1) unstable; urgency=medium

  * Update to new version 0.13.0
  * d/control: removed deprecated usbredirserver, updated standards version
  * d/copyright: update years to 2022
  * d/libusbredirparser1.symbols: add new symbols

 -- Lin Qigang <lqi254@protonmail.com>  Wed, 21 Sep 2022 20:29:21 +0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: usbredir
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lin Qigang <lqi254@protonmail.com>
+Maintainer: Lance Lin <lq27267@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                libusb-1.0-0-dev,
                pkg-config,
                meson,
                libglib2.0-dev
-Standards-Version: 4.5.1
-Homepage: http://www.spice-space.org/
+Standards-Version: 4.6.2
+Homepage: https://www.spice-space.org/
 Vcs-Git: https://salsa.debian.org/debian/usbredir.git
 Vcs-Browser: https://salsa.debian.org/debian/usbredir
 Rules-Requires-Root: no
@@ -63,17 +62,6 @@
  Usbredirparse is a library containing the parser for the usbredir protocol.
  This package contains the development header files.
 
-Package: usbredirserver
-Section: otherosfs
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Simple USB host TCP server
- usbredirserver is a small standalone server for exporting an USB device for
- use from another (virtual) machine through the usbredir protocol.
- .
- Deprecated and replaced by usbredirect.
-
 Package: usbredirect
 Section: otherosfs
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 
 
 %:
-	dh $@  --with autoreconf
+	dh $@

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://gitlab.freedesktop.org/spice/usbredir.git refs/tags/usbredir-([\d\.]+)

## usbredir 0.14.0

=== debian/changelog ===
usbredir (0.14.0-1) unstable; urgency=medium

  * d/control: Replace pkg-config with pkgconf in Build-Depends.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Lance Lin <lq27267@gmail.com>  Tue, 07 May 2024 18:58:06 +0700

usbredir (0.13.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063037

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:27:05 +0000

## usbredir 0.15.0

=== debian/changelog ===
usbredir (0.15.0-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: update year to 2025

 -- Lance Lin <lq27267@gmail.com>  Mon, 03 Feb 2025 22:47:56 +0700

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Lance Lin <lq27267@gmail.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 13),
                libusb-1.0-0-dev,
-               pkg-config,
+               pkgconf,
                meson,
                libglib2.0-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.spice-space.org/
 Vcs-Git: https://salsa.debian.org/debian/usbredir.git
 Vcs-Browser: https://salsa.debian.org/debian/usbredir
 Rules-Requires-Root: no
 
-Package: libusbredirhost1
+Package: libusbredirhost1t64
+Provides: ${t64:Provides}
+Replaces: libusbredirhost1
+Breaks: libusbredirhost1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -31,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libusbredirhost1 (= ${binary:Version}),
+Depends: libusbredirhost1t64 (= ${binary:Version}),
          libusbredirparser-dev (= ${binary:Version}),
          ${misc:Depends}
 Description: implementing the usb-host (*) side of a usbredir connection (development)
@@ -44,7 +48,10 @@
  .
  This package contains the development header files.
 
-Package: libusbredirparser1
+Package: libusbredirparser1t64
+Provides: ${t64:Provides}
+Replaces: libusbredirparser1
+Breaks: libusbredirparser1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -57,7 +64,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libusbredirparser1 (= ${binary:Version}), ${misc:Depends}
+Depends: libusbredirparser1t64 (= ${binary:Version}), ${misc:Depends}
 Description: Parser for the usbredir protocol (development)
  Usbredirparse is a library containing the parser for the usbredir protocol.
  This package contains the development header files.
